#include "abstract-gpio.hpp"

using namespace stm32f072xb;
AbstractGpio::AbstractGpio(GPIO_TypeDef* gpio, AbstractGpioInit gpioInit) : _gpio(gpio), _gpioInit(gpioInit) {}

AbstractGpio::~AbstractGpio() {
	CLEAR_BIT(_gpio->PUPDR, 3 << (getPin() * 2));
}

void AbstractGpio::setupRegister() {
	CLEAR_BIT(_gpio->PUPDR, 3 << (getPin() * 2));
	SET_BIT(_gpio->PUPDR, getPullMode() << (getPin() * 2));
}
